org.apache.hadoop.yarn.server.api.protocolrecords.impl.pb

## Class RemoveFromClusterNodeLabelsRequestPBImpl

- java.lang.Object
- - org.apache.hadoop.yarn.server.api.protocolrecords.RemoveFromClusterNodeLabelsRequest
  - - org.apache.hadoop.yarn.server.api.protocolrecords.impl.pb.RemoveFromClusterNodeLabelsRequestPBImpl

-     public class RemoveFromClusterNodeLabelsRequestPBImpl
      extends org.apache.hadoop.yarn.server.api.protocolrecords.RemoveFromClusterNodeLabelsRequest

  Proto class to handlde RemoveFromClusterNodeLabels request.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoveFromClusterNodeLabelsRequestPBImpl()`
    `RemoveFromClusterNodeLabelsRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServerResourceManagerServiceProtos.RemoveFromClusterNodeLabelsRequestProto proto)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `Set<String>` | `getNodeLabels()`
    `org.apache.hadoop.yarn.proto.YarnServerResourceManagerServiceProtos.RemoveFromClusterNodeLabelsRequestProto` | `getProto()`
    `int` | `hashCode()`
    `void` | `setNodeLabels(Set<String> labels)`

    - ### Methods inherited from class org.apache.hadoop.yarn.server.api.protocolrecords.RemoveFromClusterNodeLabelsRequest

      `newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RemoveFromClusterNodeLabelsRequestPBImpl

          public RemoveFromClusterNodeLabelsRequestPBImpl()

    - #### RemoveFromClusterNodeLabelsRequestPBImpl

          public RemoveFromClusterNodeLabelsRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServerResourceManagerServiceProtos.RemoveFromClusterNodeLabelsRequestProto proto)

  - ### Method Detail

    - #### getProto

          public org.apache.hadoop.yarn.proto.YarnServerResourceManagerServiceProtos.RemoveFromClusterNodeLabelsRequestProto getProto()

    - #### setNodeLabels

          public void setNodeLabels(Set<String> labels)

      Specified by:
        `setNodeLabels` in class `org.apache.hadoop.yarn.server.api.protocolrecords.RemoveFromClusterNodeLabelsRequest`

    - #### getNodeLabels

          public Set<String> getNodeLabels()

      Specified by:
        `getNodeLabels` in class `org.apache.hadoop.yarn.server.api.protocolrecords.RemoveFromClusterNodeLabelsRequest`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.